Bug 506951 - oracle-instantclient package should clear execstack flag in its share libraries during package build
oracle-instantclient package should clear execstack flag in its share librari...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Miroslav Suchý
:
Depends On:
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2009-06-19 09:46 EDT by Milan Zazrivec
Modified: 2010-10-28 10:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: oracle-instantclient-10.2.0-43 oracle-instantclient-selinux-10.2-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-06-19 09:46:20 EDT
Description of problem:
Currently, oracle-instantclient-basic package contains shared libraries with
execstack flag set. This flag would cause denials on a satellite with
selinux on and so the flag is cleared by oracle-instantclient-selinux-enable
script, which comes with oracle-instantclient-selinux package.

This setup naturally works for new installations, but will likely cause
troubles in future upgrades, when we may upgrade instantclient package,
but not the oracle-instantclient-selinux package -> execstack flags
wont be cleared -> selinux denials.

It would be much more wise (from the point of sustainability) to clear
the execstack flags during the build of oracle-instantclient package.

Version-Release number of selected component (if applicable):
oracle-instantclient-10.2.0-42

How reproducible:
Always

Steps to Reproduce:
1. Obtain oracle-instantclient-basic rpm from satellite iso
2. mkdir /tmp/instantclient
3. Copy the instantclient-basic rpm into /tmp/instantclient
4. rpm2cpio oracle-instantclient-basic.rpm | cpio -icvd
5. find . -name "libclntsh*.so*" -exec execstack -q '{}' ';'
6. rm -r /tmp/instantclient
  
Actual results:
# find . -name "libclntsh*.so*" -exec execstack -q '{}' ';'
X ./usr/lib/oracle/10.2.0.2/client64/lib/libclntsh.so.10.1

Expected results:
# find . -name "libclntsh*.so*" -exec execstack -q '{}' ';'
- ./usr/lib/oracle/10.2.0.2/client64/lib/libclntsh.so.10.1

Additional info:
N/A
Comment 2 Michael Mráka 2009-09-09 09:27:07 EDT
Fixed
in thirdparty.git
commit ce89c1a62792170926db29b07f21704660f1cad9
    Automatic commit of package [oracle-instantclient] minor release [10.2.0-43].
commit 4f0dbbeee3b8f5c0733498e063323e8e35db731c
    506951 - clear exec stack on instantclient libs (fixes selinux avc denial)

in spacewalk.git
commit 4f2993816e93108ebae2fade8908f3a407db8d6d
    Automatic commit of package [oracle-instantclient-selinux] minor release [10.2-16].
commit 24f80d6bd6f932954d83f98f6254023c2ef81a06
    Automatic commit of package [oracle-lib-compat] minor release [10.2-21].
commit b5b8b656952d558da99ea3e3b4bd76bc839eddaa
    506951 - execstack -c moved to instantclient packages
commit a6936f7fc5067dbc8d3ca7e3097cd7b5edaeb63e
    506951 - clear exec stack on instantclient libs (fixes selinux avc denial)
Comment 4 Miroslav Suchý 2010-10-06 10:39:52 EDT
$ mkdir /tmp/instantclient
$ find Satellite-5.4.0-RHEL5-re20101001.1 |grep  oracle-instantclient-basic >/tmp/list
$cat /tmp/list
Satellite-5.4.0-RHEL5-re20101001.1/i386/i386-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
Satellite-5.4.0-RHEL5-re20101001.1/i386/i386-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
Satellite-5.4.0-RHEL5-re20101001.1/i386/i386/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
Satellite-5.4.0-RHEL5-re20101001.1/x86_64/x86_64-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.x86_64.rpm
Satellite-5.4.0-RHEL5-re20101001.1/x86_64/x86_64-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
Satellite-5.4.0-RHEL5-re20101001.1/x86_64/x86_64-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.x86_64.rpm
Satellite-5.4.0-RHEL5-re20101001.1/x86_64/x86_64-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
Satellite-5.4.0-RHEL5-re20101001.1/x86_64/x86_64/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.x86_64.rpm
Satellite-5.4.0-RHEL5-re20101001.1/s390x/s390x-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.s390x.rpm
Satellite-5.4.0-RHEL5-re20101001.1/s390x/s390x-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.s390x.rpm
Satellite-5.4.0-RHEL5-re20101001.1/s390x/s390x/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.s390x.rpm
$ cd /tmp/instantclient/
$ for i in `cat /tmp/list`; do  rpm2cpio /mnt/redhat/devel/candidate-trees/$i | cpio -icvd; find . -name "libclntsh*.so*" -exec execstack -q '{}' ';'; rm -rf /tmp/instantclient/*; done                           
./etc/ld.so.conf.d/oracle-instantclient.conf                                                                            
./usr/lib/oracle/10.2.0.4/client/bin/genezi                                                                             
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar                                                                      
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                  
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar                                                                        
./usr/share/java/ojdbc14.jar                                                                                            
182970 blocks                                                                                                           
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                
./etc/ld.so.conf.d/oracle-instantclient.conf                                                                            
./usr/lib/oracle/10.2.0.4/client/bin/genezi                                                                             
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar                                                                      
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                  
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar                                                                        
./usr/share/java/ojdbc14.jar                                                                                            
182970 blocks                                                                                                           
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                
./etc/ld.so.conf.d/oracle-instantclient.conf                                                                            
./usr/lib/oracle/10.2.0.4/client/bin/genezi                                                                             
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar                                                                      
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                  
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar                                                                        
./usr/share/java/ojdbc14.jar                                                                                            
182970 blocks                                                                                                           
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                
./etc/ld.so.conf.d/oracle-instantclient64.conf                                                                          
./usr/lib/oracle/10.2.0.4/client64/bin/genezi                                                                           
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar                                                                    
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1                                                                
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so                                                                      
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1                                                                  
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so                                                                      
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so                                                                  
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar                                                                      
./usr/share/java/ojdbc14.jar                                                                                            
196478 blocks                                                                                                           
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1                                                              
./etc/ld.so.conf.d/oracle-instantclient.conf                                                                            
./usr/lib/oracle/10.2.0.4/client/bin/genezi                                                                             
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar                                                                      
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                  
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so                                                                        
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so                                                                    
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar                                                                        
./usr/share/java/ojdbc14.jar                                                                                            
182970 blocks                                                                                                           
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1                                                                
./etc/ld.so.conf.d/oracle-instantclient64.conf                                                                          
./usr/lib/oracle/10.2.0.4/client64/bin/genezi
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
196478 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient.conf
./usr/lib/oracle/10.2.0.4/client/bin/genezi
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
182970 blocks
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/bin/genezi
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
196478 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
194349 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
194349 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
194349 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
Comment 5 Dimitar Yordanov 2010-10-25 09:55:47 EDT
Verified on Stage.

# Satellite-5.4.0-RHEL5-re20101025.0]$ find . -name "*oracle-instantclient-basic*" |tee -a /tmp/ora_res
# more /tmp/ora_res
./i386/i386-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
./i386/i386-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
./i386/i386/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
./x86_64/x86_64-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
./x86_64/x86_64-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.x86_64.rpm
./x86_64/x86_64-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.i386.rpm
./x86_64/x86_64-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.x86_64.rpm
./x86_64/x86_64/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.x86_64.rpm
./s390x/s390x-global/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.s390x.rpm
./s390x/s390x-global/EmbeddedDB/oracle-instantclient-basic-10.2.0-47.el5sat.s390x.rpm
./s390x/s390x/Satellite/oracle-instantclient-basic-10.2.0-47.el5sat.s390x.rpm





$ for f in `cat /tmp/ora_res`
>  do
>     rpm2cpio /mnt/redhat/devel/candidate-trees/Satellite-5.4.0-RHEL5-re20101025.0/$f | cpio -icvd;
>     find . -name "libclntsh*.so*" -exec execstack -q '{}' ';';
>     rm -fr * 
>  done

./etc/ld.so.conf.d/oracle-instantclient.conf
./usr/lib/oracle/10.2.0.4/client/bin/genezi
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
182970 blocks
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient.conf
./usr/lib/oracle/10.2.0.4/client/bin/genezi
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
182970 blocks
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient.conf
./usr/lib/oracle/10.2.0.4/client/bin/genezi
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
182970 blocks
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient.conf
./usr/lib/oracle/10.2.0.4/client/bin/genezi
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
182970 blocks
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/bin/genezi
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
196478 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient.conf
./usr/lib/oracle/10.2.0.4/client/bin/genezi
./usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
182970 blocks
- ./usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/bin/genezi
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
196478 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/bin/genezi
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
196478 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
194349 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
194349 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./etc/ld.so.conf.d/oracle-instantclient64.conf
./usr/lib/oracle/10.2.0.4/client64/lib/classes12.jar
./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libnnz10.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocci.so.10.1
./usr/lib/oracle/10.2.0.4/client64/lib/libociei.so
./usr/lib/oracle/10.2.0.4/client64/lib/libocijdbc10.so
./usr/lib/oracle/10.2.0.4/client64/lib/ojdbc14.jar
./usr/share/java/ojdbc14.jar
194349 blocks
- ./usr/lib/oracle/10.2.0.4/client64/lib/libclntsh.so.10.1
Comment 6 Clifford Perry 2010-10-28 10:44:07 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.